#if !defined(AFX_CFGPAGE_H__D7FAF562_0B16_11D2_A4C6_00A0CC307F9C__INCLUDED_)
#define AFX_CFGPAGE_H__D7FAF562_0B16_11D2_A4C6_00A0CC307F9C__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// CfgPage.h : header file
//
// CrackUp version 1.0
// Copyright  1998 Ziff-Davis, Inc.
// First published in PC Magazine, US Edition, November 3, 1998
// Written by Bob Flanders and Gregory A. Wolking

/////////////////////////////////////////////////////////////////////////////
// CCfgPage dialog

class CCfgPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CCfgPage)

// Construction
public:
	BOOL m_bSettingsChanged;
	BOOL m_bNoQueryScan;
	void ShowTimeLeft();
	CCfgPage();
	~CCfgPage();

// Dialog Data
	//{{AFX_DATA(CCfgPage)
	enum { IDD = IDD_CFGDLG1 };
	CStatic	m_lblDelay1;
	CStatic	m_lblCalc;
	CStatic	m_lblTime2;
	CStatic	m_lblTime1;
	CButton	m_optFormula1;
	CButton m_optFormula2;
	CStatic	m_lblPercent;
	CEdit	m_txtDelay;
	CEdit	m_txtPercent;
	CCheckListBox	m_lstCfgDrives;
	BOOL	m_bBackground;
	BOOL	m_bPopup;
	UINT	m_intFragPercent;
	UINT	m_intDelay;
	CStatic	m_lblDelay;
	int		m_intFormula;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CCfgPage)
	public:
	virtual BOOL OnApply();
	virtual void OnOK();
	virtual BOOL OnSetActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CCfgPage)
	virtual BOOL OnInitDialog();
	afx_msg void OnCheckBackground();
	afx_msg void OnChangeEditPercent();
	afx_msg void OnChangeEditTimer();
	afx_msg void OnCheckPopup();
	afx_msg void OnoptFormula1();
	//}}AFX_MSG
	afx_msg void OnListBoxCheck(); 
	DECLARE_MESSAGE_MAP()

private:
	BOOL m_bDrivesChanged;				// TRUE if user changes drive or formula selection.
	void CompareSettings();	
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CFGPAGE_H__D7FAF562_0B16_11D2_A4C6_00A0CC307F9C__INCLUDED_)
